# GWCelery Helm Chart

This repository contains the Helm charts to deploy GWCelery and Redis on a Kubernetes cluster. Default values allow for a sandboxed deployment on Minikube.

The package registry of this project can be used as Helm repository:
```
helm repo add --username <username> --password <token> gwcelery-helm \ 
    https://git.ligo.org/api/v4/projects/16068/packages/helm/stable
```

Where:
- `username` is your _albert.einstein_ username
- `token` is a _read_api_ scoped personal access token

After adding the Helm repository with the command above, the charts can be installed in the _default_ namespace in this way:
```
helm install gwcelery gwcelery-helm/gwcelery
```
